#!/bin/sh
# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL 
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# Runner to call TTA Perl Montitor

USAGE="monitor.sh [Task: auto | task ] ";
if [ $1 ] ; then      
   TASK=$1
else
   echo "$USAGE";
   exit 2
fi

STTA_TOOLSDIR="STTATOOLSDIR"
[ -x $STTA_TOOLSDIR/setenv_vars ] &&  . $STTA_TOOLSDIR/setenv_vars

[ "$STTA" ] && . $STTA/envprofile

TTAmonCMD=monitor.pl

# move to TTAmonPath otherwise libs.pl will be not loaded

cd $STTA

exec ./$TTAmonCMD $*
